npm

Ready to take your JavaScript development to the next level? Meet npm Enterprise - the ultimate in enterprise JavaScript.Learn more »

@pihachu/require-map

0.2.3 • Public • Published

Require-Map

Build Status

Show the require contact map for your nodejs project.

Install

$ npm install --save @pihachu/require-map

Usage

const RequireMap = require('@pihachu/require-map')
 
// (entry file, options)
const requireMap = new RequireMap('app.js', {
    filename: 'filename.html',  // default 'requiremap.html'
    radius: 14,                 // Node radius, default 14
    lineLength: 120            // Node connection length, default 120
})
requireMap.run()
 

If successful, there will be a file called requiremap.html in your root directory.

open in your browers:

requiremap.html

Update Recode (ง •_•)ง

  • Fix path error bug
  • Comments are ignored
  • Add more options
  • Can parse import
  • Optimize web

License

MIT © Michael Wuergler

install

npm i @pihachu/require-map

Downloadsweekly downloads

0

version

0.2.3

license

ISC

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability